<template>
  <div id="app">
    <v-container>
      <span v-show="warningMail" id="warning">Verifica tu correo!</span>
      <span v-show="warningPassword" id="warning">Verifica tu contraseña !</span>

      <v-text-field v-model="email" :rules="emailRules" label="CORREO ELECTRONICO" required></v-text-field>
      <v-text-field
        v-model="password"
        :append-icon="show1 ? 'mdi-eye' : 'mdi-eye-off'"
        :rules="[rules.required, rules.min]"
        :type="show1 ? 'text' : 'password'"
        name="input-10-1"
        label="INTRODUCE UNA CONTRASEÑA"
        hint="Al menos 8 carácteres"
        counter
        @click:append="show1 = !show1"
      ></v-text-field>

      <v-btn :disabled="!valid" color="primary" class="mr-4" @click="login()">Validar</v-btn>
    </v-container>
  </div>
</template>

<script>
import API from '@/API.js'
export default {
  name: 'LogingPage',
  components: {},
  props: {
    warningMail: Boolean,
    warningPassword: Boolean
  },
  data: () => ({
    show1: false,

    password: '',
    rules: {
      required: value => !!value || 'Necesario.',
      min: v => v.length >= 8 || 'Min 8 caracteres',
      emailMatch: () =>
        'El correo electrónico y la contraseña que ingresó no coinciden'
    },
    valid: true,

    email: '',
    emailRules: [
      v => !!v || 'Correo electronico es requerido',
      v => /.+@.+\..+/.test(v) || 'El email debe ser válido'
    ],
    select: null,

    lazy: false,
    logged: [],
    idActualUser: '',
    role: ''
  }),

  methods: {
    //    login() {
    //    this.$emit('log-event', this.email, this.password)
    //},

    async login() {
      this.logged = await API.login(this.email, this.password)
      if (this.logged.log_mensajes === 'correo incorrecto') {
        this.warningMail = true
      } else if (this.logged.log_mensajes === 'contraseña incorrecta') {
        this.warningMail = false
        this.warningPassword = true
      } else {
        this.idActualUser = this.logged.iduser
        this.role = this.logged.role
        localStorage.setItem('idActualUser', this.logged.iduser)
        localStorage.setItem('role', this.logged.role)
        //local storage
        this.goToHomePage()
        this.loginHasShow = !this.loginHasShow
        this.logOutHasShow = !this.logOutHasShow
      }
    },

    goToHomePage() {
      let idUser = this.idActualUser
      //let role = this.role
      //this.$router.push('/home/' + idActualUser)
      this.$router.push('/App/' + idUser)
    }

    //goToHomePage() {
    //let idActualUser = this.idActualUser
    //this.$router.push('/home/' + idActualUser)
    //}
  }
}
</script>

<style scoped>
#app {
  margin-top: 10%;
  display: flex;
  justify-content: space-around;
  flex-direction: column;
}
#warning {
  color: red;
}
</style>
